# Users.blogs: list

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.


**Requires [authorization](https://developers.google.com/blogger/docs/2.0/json/reference/users/blogs/list#auth)**

Retrieves a list of blogs, possibly filtered.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/users/blogs/list#try-it).

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/users/userId/blogs
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `userId` | `string` | ID of the user whose blogs are to be fetched. Either the word 'self' (sans quote marks) or the user's profile identifier. |

### Authorization

This request requires authorization with at least one of the following scopes ([/blogger/docs/2.0/json/getting_started"\>read more about authentication and authorization](https://developers.google.com/blogger/docs/2.0/json/reference/users/blogs/<span style=)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |
| `https://www.blogger.com/feeds/` |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#blogList",
  "items": [
    blogs Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entity. Always `blogger#blogList` |   |
| `items[]` | `list` | The list of Blogs this user has Authorship or Admin rights over. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.